__gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >(3)

NAME
__gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > -

SYNOPSIS

Inherited by __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >.

  Public Types
typedef _Alloc::template
rebind< value_type >
::other::const_pointer const_pointer"
typedef _Alloc::template
rebind< value_type >
::other::const_reference const_reference"
typedef
trivial_iterator_difference_type difference_type"
typedef trivial_iterator_tag iterator_category
typedef _Alloc::template
rebind< value_type >
::other::pointer pointer"
typedef _Alloc::template
rebind< value_type >
::other::reference reference"
typedef Node::value_type value_type

  Public Member Functions
left_child_next_sibling_heap_node_point_const_iterator_ (node_pointer p_nd)
left_child_next_sibling_heap_node_point_const_iterator_ ()
left_child_next_sibling_heap_node_point_const_iterator_ (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other)
bool operator!= (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const
const_reference operator* () const
const_pointer operator-> () const
bool operator== (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const

  Public Attributes
node_pointer m_p_nd

  Protected Types
typedef _Alloc::template
rebind< Node >::other::pointer node_pointer"

Detailed Description

  template<typename Node, typename _Alloc>class __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >
Const point-type iterator.

Definition at line 61 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

Member Typedef Documentation

  template<typename Node , typename _Alloc > typedef _Alloc::template rebind< value_type>::other::const_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::const_pointer

Iterator's const pointer type.

Definition at line 86 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > typedef _Alloc::template rebind< value_type>::other::const_reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::const_reference

Iterator's const reference type.

Definition at line 98 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > typedef trivial_iterator_difference_type __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::difference_type

Difference type.

Definition at line 71 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > typedef trivial_iterator_tag __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::iterator_category

Category.

Definition at line 68 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > typedef _Alloc::template rebind< value_type>::other::pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::pointer

Iterator's pointer type.

Definition at line 80 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > typedef _Alloc::template rebind< value_type>::other::reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::reference

Iterator's reference type.

Definition at line 92 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > typedef Node::value_type __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::value_type

Iterator's value type.

Definition at line 74 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

Constructor & Destructor Documentation

  template<typename Node , typename _Alloc > __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::left_child_next_sibling_heap_node_point_const_iterator_ () [inline]

Default constructor.

Definition at line 106 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::left_child_next_sibling_heap_node_point_const_iterator_ (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) [inline]

Copy constructor.

Definition at line 111 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

Member Function Documentation

  template<typename Node , typename _Alloc > bool __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator!= (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const [inline]

Compares content (negatively) to a different iterator object.

Definition at line 137 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > const_reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator* () const [inline]

Access.

Definition at line 124 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > const_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator-> () const [inline]

Access.

Definition at line 116 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

  template<typename Node , typename _Alloc > bool __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator== (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const [inline]

Compares content to a different iterator object.

Definition at line 132 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.